Holger's Java API

## com.antelmann.calendar
Interface Timed

All Known Subinterfaces:
  GEvent, ProtocolNote, Revision

All Known Implementing Classes:
  DBUpdateEvent, DBVersionedUpdateEvent, DefaultRevision, GAnnotation, GEventEntry, GEventImpl, GPersonalBlogEntry, LockEntry, LockInfo, LogEntry, MessageEntry, MyFile, ProtocolNoteEntry, SampleSounds, ServerLogEntry, ServerLogFile, Stopwatch, TimeInDay

    public interface Timed

java.util.Date would be a classical example of a Timed instance (if it implemented it), but it may also refer to a duration, like `Stopwatch` interprets it.

Since:
  14.01.2011, 15:13:30
Author:
  Holger Antelmann

Field Summary
`static Comparator<Timed>` `COMPARATOR`
`static PatternExtractor<Timed,Date>` `DATE_EXTRACTOR`

Method Summary
`long` `getTime()`

Field Detail

### COMPARATOR

    static final Comparator<Timed> COMPARATOR

### DATE_EXTRACTOR

    static final PatternExtractor<Timed,Date> DATE_EXTRACTOR

Method Detail

### getTime

    long getTime()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads